---
title: Column combinator
slug: Web/CSS/Column_combinator
tags:
  - CSS
  - Experimental
  - Reference
  - Selector
  - Selectors
  - Tables
---
<div>{{CSSRef("Selectors")}}{{SeeCompatTable}}</div>

<p>The <strong>column combinator</strong> (<code>||</code>) is placed between two CSS selectors. It matches only those elements matched by the second selector that belong to the column elements matched by the first.</p>

<pre class="brush: css no-line-numbers notranslate">/* Table cells that belong to the "selected" column */
col.selected || td {
  background: gray;
}
</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>column-selector</var> || <var>cell-selector</var> {
  <var>/* style properties */</var>
}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;table border="1"&gt;
  &lt;colgroup&gt;
    &lt;col span="2"/&gt;
    &lt;col class="selected"/&gt;
  &lt;/colgroup&gt;
  &lt;tbody&gt;
    &lt;tr&gt;
      &lt;td&gt;A
      &lt;td&gt;B
      &lt;td&gt;C
    &lt;/tr&gt;
    &lt;tr&gt;
      &lt;td colspan="2"&gt;D&lt;/td&gt;
      &lt;td&gt;E&lt;/td&gt;
    &lt;/tr&gt;
    &lt;tr&gt;
      &lt;td&gt;F&lt;/td&gt;
      &lt;td colspan="2"&gt;G&lt;/td&gt;
    &lt;/tr&gt;
  &lt;/tbody&gt;
&lt;/table&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">col.selected || td {
  background: gray;
  color: white;
  font-weight: bold;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", "100%")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("CSS4 Selectors", "#the-column-combinator", "column combinator")}}</td>
			<td>{{Spec2("CSS4 Selectors")}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.column")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{HTMLElement("col")}}</li>
	<li>{{HTMLElement("colgroup")}}</li>
	<li>{{CSSxRef("grid")}}</li>
	<li>{{CSSxRef(":nth-col")}}</li>
	<li>{{CSSxRef(":nth-last-col")}}</li>
</ul>
